﻿' Copyright (c) Microsoft Corporation.  All rights reserved.

Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

''' <summary>
'''  implementation for EFProviderWrapper
''' </summary>
Friend Class EFProviderWrapperConnection
    Inherits DbConnectionWrapper
    ''' <summary>
    ''' Gets the <see cref="T:System.Data.Common.DbProviderFactory"/> for this <see cref="T:System.Data.Common.DbConnection"/>.
    ''' </summary>
    ''' <value></value>
    ''' <returns>
    ''' A <see cref="T:System.Data.Common.DbProviderFactory"/>.
    ''' </returns>
    Protected Overrides ReadOnly Property DbProviderFactory() As System.Data.Common.DbProviderFactory
        Get
            Return EFProviderWrapperFactory.Instance
        End Get
    End Property

    ''' <summary>
    ''' Gets the default wrapped provider.
    ''' </summary>
    ''' <returns>Name of the default wrapped provider.</returns>
    Protected Overrides ReadOnly Property DefaultWrappedProviderName() As String
        Get
            Throw New NotImplementedException()
        End Get
    End Property
End Class
